<?php
use Phppot\DataSource;

require_once __DIR__ . '/DataSource.php';

class Rate extends DataSource
{

    function getAllPost()
    {
        $sql = "SELECT tutorial.*, COUNT(tbl_member_rating.rating) as rating_count, group_concat(distinct rating) as emoji_rating   FROM tutorial LEFT JOIN tbl_member_rating ON tutorial.id = tbl_member_rating.tutorial_id GROUP BY tutorial.id";

        $postResult = $this->select($sql);
        return $postResult;
    }

    function getRatingByTutorial($tutorial_id)
    {
        $sql = "SELECT tutorial.*, COUNT(tbl_member_rating.rating) as rating_count, group_concat(distinct rating) as emoji_rating FROM tutorial LEFT JOIN tbl_member_rating ON tutorial.id = tbl_member_rating.tutorial_id WHERE tbl_member_rating.tutorial_id = ? GROUP BY tbl_member_rating.tutorial_id";
        $paramType = 'i';
        $paramValue = array(

            $tutorial_id
        );

        $postResult = $this->select($sql, $paramType, $paramValue);
        return $postResult;
    }

    function getRatingByTutorialForMember($tutorial_id, $member_id)
    {
        $sql = "SELECT * FROM tbl_member_rating WHERE tutorial_id = ? AND member_id = ?";
        $paramType = 'ii';
        $paramValue = array(
            $tutorial_id,
            $member_id
        );

        $ratingResult = $this->select($sql, $paramType, $paramValue);

        return $ratingResult;
    }

    function addRating($tutorial_id, $rating, $member_id)
    {
        $sql = "INSERT INTO tbl_member_rating (tutorial_id,rating,member_id) VALUES (?, ?, ?)";
        $paramType = 'isi';
        $paramValue = array(
            $tutorial_id,
            $rating,
            $member_id
        );
        $this->insert($sql, $paramType, $paramValue);
    }

    function updateRating($rating, $rating_id)
    {
        $sql = "UPDATE tbl_member_rating SET  rating = ? WHERE id= ?";
        $paramType = 'si';
        $paramValue = array(
            $rating,
            $rating_id
        );
        $this->execute($sql, $paramType, $paramValue);
    }
}
